Subject: Re: pthreads in YahooPOPs
From: Andrew Lynch <[email-masked]>
To: egor duda <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Oct 2002 07:22:56 -0700 (PDT)

Egor,

Thank you for the info! I will post it to the
YahooPOPs for Linux development forum and see what
happens.  

Hopefully, the author will see the issue and rewrite
the code in a more portable manner.  Can you deduce
what the YahooPOPs author is trying to do?  Would you
suggest a more portable method I could look at?  I
will likely be finding or writing a replacement for
this code section and appreciate any tips.

Andrew Lynch

--- egor duda <email deleted> wrote:
> Hi!
> 
> Sunday, 13 October, 2002 Andrew Lynch
> wrote:
> 
> AL> http://sourceforge.net/projects/yahoopops 
> 
> AL> on Cygwin but have run into a problem with
> pthreads.  
> 
> AL> The lines below do not compile even though
> Cygwin
> AL> supports pthreads and pthread.h is included in
> the
> AL> header file.
> 
> AL> lock.__m_reserved = 0;
> AL> lock.__m_count = 0;
> AL> lock.__m_owner = 0;
> AL> lock.__m_kind = PTHREAD_MUTEX_TIMED_NP;
> AL> lock.__m_lock.__status = 0;
> AL> lock.__m_lock.__spinlock = __LT_SPINLOCK_INIT;
> 
> AL> Does anyone know why these pthread commands(?)
> are not
> AL> supported or won't compile?
> 
> The project you're talking about is using
> non-portable method of
> dealing with pthreads. Pthread interface doesn't
> specify an internal
> structure of pthread primitives, so their actual
> implementation may
> vary (and does vary) between different systems. You
> should ask
> YahooPOPs people to use portable constructs so that
> their code can be
> compiled on any system which supports pthread
> interface.
> 
> Egor. <email deleted>

__________________________________________________
Do you Yahoo!?
Faith Hill - Exclusive Performances, Videos & More
http://faith.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/